Skip to main content
`Ctrl`+`K`

# scipy.linalg.lapack.zgeev

scipy.linalg.lapack.zgeev(a[, compute_vl, compute_vr, lwork, overwrite_a]) = <fortran function zgeev>

  Wrapper for `zgeev`.

  Parameters:
    a input rank-2 array(‘D’) with bounds (n,n)
  Returns:
    w rank-1 array(‘D’) with bounds (n)
    vl rank-2 array(‘D’) with bounds (ldvl,n)
    vr rank-2 array(‘D’) with bounds (ldvr,n)
    info int
  Other Parameters:
    compute_vl input int, optional

      Default: 1

    compute_vr input int, optional

      Default: 1

    overwrite_a input int, optional

      Default: 0

    lwork input int, optional

      Default: max(2*n,1)